# Fish configuration file

set -x LC_ALL en_US.utf8
set -x TERM xterm-256color

# Aliases
alias ls='ls --color=auto'
alias ll='ls -l'
alias la='ls -A'
alias l='ls -CF'

alias rm='rm -i --preserve-root'

# GUROBI
set GUROBI_PATH $HOME/.softwares/gurobi651/linux64
if [ -e $GUROBI_PATH ]
    set -x LD_LIBRARY_PATH $LD_LIBRARY_PATH /usr/local/lib $GUROBI_PATH/lib
    set -x GRB_LICENSE_FILE $GUROBI_PATH/gurobi.lic
    set -x PATH $PATH $GUROBI_PATH/bin
    set -x PYTHONPATH $PYTHONPATH $GUROBI_PATH/lib/python3.4_utf32
end

# CUSTOM
set MYSOFT_PATH $HOME/.softwares/bin
if [ -e $MYSOFT_PATH ]
    set -x PATH ~/.softwares/bin $PATH
end

# Creation mask
umask 022
